## rizin-libyara 0.6.0

=== meson_options.txt ===
option('rizin_plugdir', type: 'string', value: '', description: 'rizin plugin install directory')
option('use_sys_yara', type: 'feature', value: 'disabled', description: 'uses the system library instead of the embedded one')
option('enable_openssl', type: 'boolean', value: true, description: 'enables openssl support')

=== cutter-plugin/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.12)
project(cutter-yara-plugin)


set(CUTTER_INSTALL_PLUGDIR "share/rizin/cutter/plugins/native" CACHE STRING "Directory to install Cutter plugin into")
set(RIZIN_INSTALL_PLUGDIR "lib/rizin/plugins" CACHE STRING "Directory where to find librz_yara")
option(CUTTER_QT6 "Use QT6" OFF)

list(APPEND CMAKE_MODULE_PATH "${CMAKE_INSTALL_PREFIX}/lib/cmake/Cutter")

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTOUIC ON)
set(CMAKE_INCLUDE_CURRENT_DIR ON)

add_library(cutter_yara_plugin MODULE
    YaraAddDialog.cpp
    YaraAddDialog.h
    YaraAddDialog.ui
    YaraAddMetaDialog.cpp
    YaraAddMetaDialog.h
    YaraAddMetaDialog.ui
    YaraDescription.h
    YaraPlugin.cpp
    YaraPlugin.h
    YaraSyntax.cpp
    YaraSyntax.h
    YaraTextEditor.cpp
    YaraTextEditor.h
    YaraTextEditor.ui
    YaraViewMenu.cpp
    YaraViewMenu.h
    YaraWidget.cpp
    YaraWidget.h
    YaraWidget.ui
)

find_library(RzYara NAMES rz_yara PATHS "${RIZIN_INSTALL_PLUGDIR}")
include_directories("../include")

find_package(Cutter REQUIRED)

target_link_libraries(cutter_yara_plugin PRIVATE Cutter::Cutter "${RzYara}")
install(TARGETS cutter_yara_plugin DESTINATION "${CUTTER_INSTALL_PLUGDIR}")

=== subprojects/packagefiles/yara/meson_options.txt ===
option('enable_openssl', type: 'boolean', value: true, description: 'enables openssl support')

=== debian/changelog ===
rizin-libyara (0.6.0-0parrot2) parrot-updates; urgency=medium

  * Update Uscan URL

 -- Nong Hoang Tu <dmknght@parrotsec.org>  Sat, 28 Oct 2023 02:56:23 +0700

rizin-libyara (0.6.0-0parrot1) parrot-updates; urgency=medium

  * New upstream version 0.6.0

 -- Nong Hoang Tu <dmknght@parrotsec.org>  Sat, 02 Sep 2023 18:29:44 +0700

rizin-libyara (0.5.0-0parrot1) parrot-updates; urgency=medium

  * New upstream version 0.5.0

 -- Nong Hoang Tu <dmknght@parrotsec.org>  Fri, 24 Mar 2023 06:41:44 +0700

rizin-libyara (0.4.1-1parrot4) parrot-updates; urgency=medium

  * Fix build rules

 -- Nong Hoang Tu <dmknght@parrotsec.org>  Tue, 16 Aug 2022 01:25:41 +0700

rizin-libyara (0.4.1-1parrot3) parrot-updates; urgency=medium

  * Fix missing build depends

 -- Nong Hoang Tu <dmknght@parrotsec.org>  Mon, 15 Aug 2022 01:28:08 +0700

rizin-libyara (0.4.1-1parrot2) parrot-updates; urgency=medium

  * Complete debian pkging for Rizin
  * Add dirty makefile commands to build libyara for Cutter
  * Update installation

 -- Nong Hoang Tu <dmknght@parrotsec.org>  Thu, 28 Jul 2022 07:55:23 +0700

rizin-libyara (0.4.1-1parrot1) parrot-updates; urgency=medium

  * Initial release

 -- Nong Hoang Tu <dmknght@parrotsec.org>  Mon, 18 Jul 2022 21:11:57 +0700

=== debian/control ===
Source: rizin-libyara
Section: devel
Priority: optional
Maintainer: Parrot Team <team@parrotsec.org>
Uploaders: Nong Hoang Tu <dmknght@parrotsec.org>
Build-Depends: debhelper-compat (= 13), meson, librizin-cutter-dev, libyara-dev, cmake, librizin-dev, pkg-config, qtbase5-dev, libqt5svg5-dev, rizin-cutter
Standards-Version: 4.5.1
Homepage: https://github.com/rizinorg/rz-libyara/
Vcs-Browser: https://nest.parrotsec.org/packages/tools/rizin-libyara
Vcs-Git: https://nest.parrotsec.org/packages/tools/rizin-libyara.git
Rules-Requires-Root: no

Package: rizin-plugin-libyara
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Rizin libyara wrapper for creating Yara rules
 Rizin libyara wrapper for creating, parsing and applying
 YARA rules and Cutter native plugin.
 This package is a plugin for Rizin.

## rizin-libyara 0.7.2

=== debian/changelog ===
rizin-libyara (0.7.2-1parrot2) echo; urgency=medium

  * Rebuild for Parrot 7

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Tue, 03 Feb 2026 18:09:05 +0100

rizin-libyara (0.7.2-1parrot1) stable; urgency=medium

  * New upstream version 0.7.2

 -- Nong Hoang Tu <dmknght@parrotsec.org>  Thu, 27 Jun 2024 18:08:51 +0700

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Parrot Team <team@parrotsec.org>
 Uploaders: Nong Hoang Tu <dmknght@parrotsec.org>
-Build-Depends: debhelper-compat (= 13), meson, librizin-cutter-dev, libyara-dev, cmake, librizin-dev, pkg-config, qtbase5-dev, libqt5svg5-dev, rizin-cutter
+Build-Depends: debhelper-compat (= 13), meson, librizin-cutter-dev, libyara-dev, cmake, librizin-dev, pkg-config, libstdc++-14-dev, qt6-base-dev, qt6-svg-dev, qt6-tools-dev, qt6-5compat-dev, rizin-cutter
 Standards-Version: 4.5.1
 Homepage: https://github.com/rizinorg/rz-libyara/
 Vcs-Browser: https://nest.parrotsec.org/packages/tools/rizin-libyara

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=meson --prefix=/usr

override_dh_auto_configure:
	dh_auto_configure -- -Duse_sys_yara=auto
override_dh_auto_install:
	dh_auto_install
	mkdir -p cutter-plugin/build
override_dh_install:
	dh_install
	$(shell cd cutter-plugin/build && cmake -DRIZIN_INSTALL_PLUGDIR="../obj-$(DEB_HOST_GNU_TYPE)/" .. && make -j4)
	install $(CURDIR)/cutter-plugin/build/libcutter_yara_plugin.so $(CURDIR)/debian/rizin-plugin-libyara/usr/share/rizin/cutter/plugins/native/
	dh_install

=== debian/watch ===
version=4
opts="searchmode=plain,filenamemangle=s%v?@ANY_VERSION@%@PACKAGE@-$1.tar.xz%" https://api.github.com/repos/rizinorg/rz-libyara/releases?per_page=1 https://api.github.com/repos/rizinorg/rz-libyara/tarball/v([\d\.]*)
